Skip to main content
GET
/
api
/
contact-metrics
/
contacts
Get contacts by category with pagination
curl --request GET \
  --url https://your-instance.example.com/api/contact-metrics/contacts \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "contacts": [
      {
        "_id": "65c2d0e0f0a0b0c0d0e0f0a0",
        "firstName": "Jane",
        "lastName": "Doe",
        "phoneNumber": "+14155550123",
        "status": "qualified",
        "createdAt": "2026-04-12T08:00:00.000Z",
        "hasOutbound": true,
        "channelTypes": [
          "sms"
        ]
      }
    ],
    "total": 47,
    "page": 1,
    "limit": 25,
    "totalPages": 2
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

categoryKey
string
startDate
string<date-time>
endDate
string<date-time>
page
string
limit
string
pipelineId
string

Response

Contacts returned

success
enum<boolean>
required
Available options:
true
data
object
required